# Uses of Interface
org.springframework.cache.interceptor.CacheOperationInvoker

Packages that use CacheOperationInvoker
Package
Description
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of CacheOperationInvoker in org.springframework.cache.interceptor

Methods in org.springframework.cache.interceptor with parameters of type CacheOperationInvoker
Modifier and Type
Method
Description
`protected Object`
CacheAspectSupport.`execute(CacheOperationInvoker invoker, Object target, Method method, Object[] args)`
`protected Object`
CacheAspectSupport.`invokeOperation(CacheOperationInvoker invoker)`
Execute the underlying operation (typically in case of cache miss) and return the result of the invocation.